## GogColorScale

GogColorScale — Displays the color scale used by an axis.

## Functions

GogAxis * | gog_color_scale_get_axis ()
void | gog_color_scale_set_axis ()

## Types and Values

| GogColorScale

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogColorScale

## Implemented Interfaces

GogColorScale implements GOStyledObject.

## Description

A color scale has two parts: an axis, and a rectangle filled by the colors corresponding to the axis scale. It can be displayed horizontally or vertically.

## Functions

### gog_color_scale_get_axis ()

    GogAxis *
    gog_color_scale_get_axis (GogColorScale *scale);

Gets the axis mapping to the colors and associated with `scale`

#### Parameters

scale | GogColorScale |

#### Returns

the associated axis.

[transfer none]

### gog_color_scale_set_axis ()

    void
    gog_color_scale_set_axis (GogColorScale *scale,
                              GogAxis *axis);

Associates the axis with `scale` .

#### Parameters

scale | GogColorScale |
axis | a color or pseudo-3d axis |

## Types and Values

### GogColorScale

    typedef struct _GogColorScale GogColorScale;